Package: org.apache.groovy.contracts.domain

## [Java] Class Contract

- org.apache.groovy.contracts.domain.Contract

-     public class Contract
      extends Object

  Represents a contract between a supplier and a customer of a class.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Contract(ClassNode classNode)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public ClassInvariant` | `classInvariant()`
    `` | `public ClassNode` | `classNode()`
    `` | `public boolean` | `hasDefaultClassInvariant()`
    `` | `public AssertionMap<Postcondition>` | `postconditions()`
    `` | `public AssertionMap<Precondition>` | `preconditions()`
    `` | `public void` | `setClassInvariant(ClassInvariant classInvariant)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public Contract(ClassNode classNode)

  - ### Method Detail

    - #### public ClassInvariant classInvariant()

    - #### public ClassNode classNode()

    - #### public boolean hasDefaultClassInvariant()

    - #### public AssertionMap<Postcondition> postconditions()

    - #### public AssertionMap<Precondition> preconditions()

    - #### public void setClassInvariant(ClassInvariant classInvariant)